Ipod 2g

Seguir
Buenos dias hace un poco me compre un ipod 2g hecho jailbreak y todo el problema reside en que no es compatible ni con el facebook de la appstore osea casi con ninguna aplicacion de la actualidad, me dice que requiero ios4.3 o superior. la cosa seria no podria modificar el firmware manualmente via SSH o algo para hacer creer al ipod que es 4.3 o mejor aun no podria poner esa version en mi dispositivo (claro esta no es soportada esta version por itunes en mi dispositivo) Gracias.

Datos adicionales:

version actual de software: 4.2.1(8c14
modelo: MC086LL
capacidad 8gb

1 Solución propuesta

No se puede alterar el sistema operativo del iPod,por el motivo de que todas las aplicaciones se van actualizando puedes usar el Safari para ingresar a Facebook y otras aplicaciones nuevas.